<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AccountController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.controllers</a> &gt; <span class="el_source">AccountController.java</span></div><h1>AccountController.java</h1><pre class="source lang-java linenums">package dev.team3.controllers;

import dev.team3.models.Account;
import dev.team3.models.Record;
import dev.team3.services.AccountService;
import dev.team3.util.EmailUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

//@Controller
@RestController
@CrossOrigin
//@RequestMapping(&quot;/accounts&quot;)
<span class="fc" id="L18">public class AccountController {</span>

    @Autowired
    private AccountService accountService;

//    @GetMapping(produces = &quot;application/json&quot;)
////    @ResponseBody
//    public ResponseEntity&lt;List&lt;Account&gt;&gt; returnAllAccounts(@RequestParam(value = &quot;id&quot;,required = false)String username){
//        if(username != null){
//            return new ResponseEntity&lt;&gt;(accountService.getAccountByUsername(username), HttpStatus.OK);
//        }else{
//            return new ResponseEntity&lt;&gt;(accountService.getAllAccount(), HttpStatus.OK);
//        }
//    }

    @GetMapping(value=&quot;/account&quot;, produces = &quot;application/json&quot;)
    //    @ResponseBody
    public ResponseEntity&lt;Account&gt; returnAccount(@RequestParam(&quot;token&quot;) String token){
<span class="fc" id="L36">        String username = token.substring(0,token.length()-11);</span>
<span class="fc" id="L37">        Account account = accountService.getAccountByUsername(username).get(0);</span>
<span class="fc" id="L38">        return new ResponseEntity&lt;&gt;(account, HttpStatus.OK);</span>

    }

    @GetMapping(value=&quot;/leaderboard&quot;,  produces = &quot;application/json&quot;)
//    @ResponseBody
    public ResponseEntity&lt;List&lt;Account&gt;&gt; returnLeaderboard(){
<span class="fc" id="L45">        return new ResponseEntity&lt;&gt;(accountService.getAllAccountForLeaderboard(),HttpStatus.OK);</span>
    }
//    @GetMapping(&quot;/{id}&quot;)
////    @ResponseBody
//    public ResponseEntity&lt;Account&gt; returnTrackById(@PathVariable(&quot;id&quot;)int id){
//        return new ResponseEntity&lt;&gt;(accountService.getAccountById(id), HttpStatus.OK);
//    }

    @PostMapping(value=&quot;/register&quot;, consumes = &quot;application/json&quot;, produces = &quot;application/json&quot;)
//    @ResponseBody
    public ResponseEntity&lt;Account&gt; createNewAccount(@RequestBody Account account){
<span class="fc" id="L56">          account.setBalance(1000);</span>
<span class="fc" id="L57">          String subject = &quot;Thank you for creating an account&quot;;</span>
<span class="fc" id="L58">          String text = &quot;Your username is &quot; + account.getUsername();</span>
<span class="fc" id="L59">          EmailUtil.sendEmail(account.getEmail(), subject, text);</span>
<span class="fc" id="L60">        return new ResponseEntity&lt;&gt;(accountService.createNewAccount(account), HttpStatus.CREATED);</span>
    }

    @PostMapping(value=&quot;/login&quot;, consumes = &quot;application/x-www-form-urlencoded&quot;)
//    @ResponseBody
    public ResponseEntity&lt;String&gt; login(@RequestParam(&quot;username&quot;) String username,
                                         @RequestParam(&quot;password&quot;) String password){
<span class="fc" id="L67">        System.out.println(&quot;log in ...&quot;);</span>
<span class="fc" id="L68">        List&lt;Account&gt; accounts = accountService.getAccountByUsername(username);</span>
<span class="pc bpc" id="L69" title="1 of 2 branches missed.">        if(accounts.size() &gt; 0){</span>
<span class="fc" id="L70">            Account account = accounts.get(0);</span>
<span class="fc" id="L71">            System.out.println(account);</span>

<span class="fc" id="L73">            System.out.println(account.getPassword().equals(password));</span>
<span class="pc bpc" id="L74" title="1 of 2 branches missed.">            if(account.getPassword().equals(password)){</span>
<span class="fc" id="L75">                System.out.println(&quot;log in:ok&quot;);</span>
<span class="fc" id="L76">                return ResponseEntity.ok().header(&quot;Authorization&quot;, username+&quot;-auth-token&quot;)</span>
<span class="fc" id="L77">                        .header(&quot;Access-Control-Expose-Headers&quot;, &quot;Content-Type, Allow, Authorization&quot;).build();</span>
            }
        }
<span class="nc" id="L80">        System.out.println(&quot;login failed&quot;);</span>

<span class="nc" id="L82">        return new ResponseEntity&lt;&gt;(HttpStatus.UNAUTHORIZED);</span>
    }


}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>